#include<bits/stdc++.h>
#include "partition.h"
#define ll long long
#define ss second
#define ff first
#define control std::cout<<"here"<<'\n';
const int maxn = 2 * 1e6 + 5;
int n;
std::vector<int> solve(std::vector<int> A)
{

    n = A.size();
    std::vector<int>a(n + 2);
    for(int i = 0; i < n; i ++)
    {
        a[i] = A[i];
    }
    std::vector<int>den, mar;
    for(int i = 0; i < n; i ++)
    {
        if(false)
        {
            if((i + 1) % 2 != 0 && i + 1 <= n / 2)den.push_back(i);
            else
            {
                if((i + 1) <= n / 2) mar.push_back(i);
                else
                {
                    if((i + 1) % 2 != 0) mar.push_back(i);
                    else den.push_back(i);
                }
            }
        }
        else
        {
            if((i + 1) % 2 == 0) mar.push_back(i);
            else den.push_back(i);
        }

    }
    for(int i = 0; i < mar.size(); i ++)
        den.push_back(mar[i]);
    return den;
}
